Joomla 1.5.x gira solo su PHP 5.2.x

Un errore che tutti i programmatori e webmaster conoscono approfonditamente ma che, in situazioni particolari, può sfuggire. Quando si installa in locale il noto CMS, si utilizzano servizi che replicano le applicazioni server sul proprio computer, quali apache, php, mysql, etc.

xampp server

Per fare questo si possono utilizzare programmi come XAMPP, WAMPServer o LAMP (quest’ultimo su Linux): personalmente uso quasi sempre il primo nella versione completa no install. L’ultima release è la 1.7.4 che viene provvisto dei seguenti applicativi:

  • Apache 2.2.17
  • MySQL 5.5.8
  • PHP 5.3.5
  • phpMyAdmin 3.3.9
  • FileZilla FTP Server 0.9.37
  • Tomcat 7.0.3 (with mod_proxy_ajp as connector)

Come detto, se su questa versione tentate di installare Joomla 1.5.x (l’ultima versione attuale è la 1.5.23) vi viene restituito un errore

You have an error in your SQL syntax

Inutile riportare l’espressione completa. Per risolvere, in rete sono presenti diversi hack che agiscono sui file d’installazione del software, oppure fare ancora prima: andare nella pagina dove sono registrare le old version di XAMPP e scaricare la versione 1.7.1 che contiene PHP 5.2.9. Avete due possibilità:

Nell’ultimo caso si trova però quasi sempre solo la versione .exe per l’installazione del server in locale.

Seguendo queste indicazioni, per altro facilmente reperibili attraverso un comune motore di ricerca, ho facilmente risolto downgradando una preesistente versione di PHP a quella “giusta” per Joomla 1.5.

Ovviamente questo problema non si verifica con la nuova versione Joomla 1.6.x (l’ultima versione attuale è la 1.6.3). Considerando il grande lavoro fatto dal punto di vista del core per arrivare alla nuova release, un vero migratore automatico che funzioni come deve non mi risulta che esista, per cui vi rimando alla pagina ufficiale del wiki:

Migrare da Joomla 1.5 a Joomla 1.6

Info Simone82
Google

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: